Skip to main content
POST
Cancel a run
If the run is still active, it transitions to cancelled immediately and terminates without returning any results. The run ends with status cancelled and stopReason: cancelled. You are billed for usage accrued before cancellation. If the run has already reached a terminal status (completed, failed, or cancelled), the endpoint returns the existing run unchanged.

Get your Exa API key

Authorizations

x-api-key
string
header
required

Pass your Exa API key in the x-api-key header. You can also authenticate with Authorization: Bearer .

Path Parameters

id
string
required

Agent run ID.

Required string length: 1 - 200
Pattern: ^[A-Za-z0-9_.:-]+$
Example:

"agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8"

Response

Agent run

id
string
required

Agent run ID. New run IDs are returned with the agent_run_ prefix.

Required string length: 1 - 200
Pattern: ^[A-Za-z0-9_.:-]+$
Example:

"agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8"

object
string
required
Allowed value: "agent_run"
status
enum<string>
required
Available options:
queued,
running,
completed,
failed,
cancelled
stopReason
enum<string> | null
required

Why the run stopped. null while the run is queued or running.

Available options:
schema_satisfied,
budget_reached,
stopped,
error,
cancelled
createdAt
string<date-time>
required

When the run was created

completedAt
string<date-time>
required
request
object | null
required

Canonicalized request fields stored with the run.

output
object
required
usage
object
required
costDollars
object
required